## Adds or updates lines on an existing product list.

**post** `/api/v2/public/stores/{store_number}/productlists/{id}`

Adds or updates lines on an existing product list.

### Path Parameters

- `store_number: string`

- `id: number`

### Header Parameters

- `api_key: optional string`

### Body Parameters

- `lines: optional array of object { quantity, article_no, barcode, 2 more }`

  The product list lines to add or update.

  - `quantity: number`

    Quantity on the line.

  - `article_no: optional string`

    Deprecated. Use `product_number` instead. Still accepted on input for backwards compatibility.

  - `barcode: optional string`

    The product barcode.

  - `product_number: optional string`

    Product number identifying the line item.

  - `stock_pool: optional string`

    Stock pool the line targets.

### Returns

- `code: optional number`

- `data: optional string`

- `message: optional string`

- `status: optional string`

### Example

```http
curl https://api.colleqtive.net/api/v2/public/stores/$STORE_NUMBER/productlists/$ID \
    -X POST \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
```

#### Response

```json
{
  "code": 0,
  "data": "data",
  "message": "message",
  "status": "status"
}
```
